<div id="test-case-info">
  <div class="tc-info-header d-flex pt-2 px-2">
    <mat-icon
      color="primary"
      class="mx-1 cursor-pointer"
      (click)="onCloseDrawerClick()"
      (keydown)="onCloseDrawerClick()"
    >
      close
    </mat-icon>
    <h2 class="w-50 text-dark-primary">
      {{ !!testCase ? testCase.name : "" }}
    </h2>
  </div>

  <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start">
    <mat-tab [label]="'Description'">
      <div class="p-2">
        <h3>Description</h3>

        <p>
          {{ !!testCase ? testCase.description : "" }}
        </p>
      </div>
    </mat-tab>
    <mat-tab [label]="'Step'">
      <div class="p-2">
        <h3>Steps</h3>

        <ul>
          @for (step of !!testCase ? testCase.stepsList : []; track step) {
            <li>
              {{ !!step ? step.description : "" }}
            </li>
          }
        </ul>
      </div>
    </mat-tab>
  </mat-tab-group>
</div>
